<template>
  <div>
    <restaurant-jumbotron/>
    <restaurant-product-modal/>

    <div class="mx-auto max-w-7xl px-4">
      <div>
        <div
          v-for="group in groupedProducts"
          :key="group.id"
          :id="group.page.hash"
        >
          <restaurant-menu-group-title :group-id="group.id"/>
          {{ group.id }}
          <div class="grid overflow-hidden grid-cols-3 gap-2">
            <restaurant-product
              v-for="product in group.products"
              :key="product.id"
              :product="product"
            />
          </div>
        </div>
      </div>
    </div>
    <client-only>
      <app-back-top
        vertical-offset="5%"
        horizontal-offset="3%"
        :visibility-height="60"
        :speed="200"
      />
    </client-only>
  </div>
</template>

<script setup lang="ts">
  import { useLoadRestaurantsMenu } from '~/composable/restaurant/useLoadRestaurantsMenu'
  import { useLoadRestaurantsMenuGroups } from '~/composable/restaurant/useLoadRestaurantsMenuGroups'
  import { useRestaurantMenu } from '~/composable/restaurant/useRestaurantMenu'
  import { useRestaurantIdByPage } from '~/composable/restaurant/useRestaurantIdByPage'

  const {restaurantId} = useRestaurantIdByPage()

  await Promise.all([
    useLoadRestaurantsMenuGroups(),
    useLoadRestaurantsMenu(restaurantId),
  ])

  const {groupedProducts} = useRestaurantMenu()
</script>
